"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * This function return the CSS `left` parameter for the characters of the input index.
 * Currently the makes the text to be centered on the space.
 * @param {number} index index of the characters to calculate the CSS `left` parameter
 * @param {number} totalWidth total width of the text to render
 * @param {Array<number>} partialWidth array with the width of each character sorted by index position.
 * @returns {left:string} returns the calculated `left` parameter.
 */
const getCharYPos = (index, totalWidth, partialWidths) => {
  const accumulatedWidth = partialWidths.reduce((acc, value, reduceIndex) => {
    if (reduceIndex < index) {
      return acc + value;
    }

    return acc;
  }, 0);
  const relativeLeftPosition = accumulatedWidth - totalWidth / 2;
  return {
    left: `calc(50% + ${relativeLeftPosition}px)`
  };
};

var _default = getCharYPos;
exports.default = _default;